<%--
 *******************************************************************************
 * Copyright (C) 2007 Ping Identity Corporation All rights reserved.
 * 
 * This software is licensed under the Open Software License v2.1 (OSL v2.1).
 * 
 * A copy of this license has been provided with the distribution of this
 * software. Additionally, a copy of this license is available at:
 * http://www.pingidentity.com/license
 *  
 ******************************************************************************
 --%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3c.org/TR/1999/REC-html401-19991224/loose.dtd">

<HTML>

<HEAD>
<TITLE>Demo SP Welcome</TITLE>
<META http-equiv=Content-Type content="text/html; charset=utf-8">
<LINK media=screen href="<c:url value='/images/demostyle.css'/>" type=text/css rel=stylesheet>
</HEAD>

<BODY leftMargin="0" topMargin="0" rightMargin="0" marginheight="0" marginwidth="0">
<CENTER><BR><BR>
<TABLE cellSpacing="0" cellPadding="0" border="0">
  <TBODY>
  <!----------------- top ----------------->
  <TR>
    <TD class="top" vAlign="middle" width=612 width1="100%" colSpan=2 height=62>
      <TABLE cellSpacing="0" cellPadding="0" border="0" width=100% height="100%" bgcolor=#ffffff>
        <TR><TD>
          <center>
          <br>
          <h1><font color="darkblue">Demo SP</font></h1>
          </center>
        </TD></TR>
      </TABLE>
    </TD></TR>
  <TR>
    <TD width=400>

      <img height="35" src="<c:url value='images/topnav_lower_left.gif'/>" width=400 border="0"></TD>
    <TD class=where vAlign=center align=center width=200>
      <a href="<c:url value='/go?action=login'/>">Login Locally</a></TD></TR>

  <TR>
    <!----------------- Body ----------------->
    <TD class=spbodycontent vAlign="top" align="left" width="600" height="100%" colspan="2">
      <DIV id=mainContainer align=center><br/>
      <h2><font color="#6a87b1">Welcome! you may single sign-on using the form below. </font></h2>
      Or you can attempt <a href="${pfurl}/sp/cdcstartSSO.ping">IdP discovery</a>.
      <hr/>
      <table>
        <c:if test="${!empty param.pferror}" >
        <tr>
          <td colspan=2><center><font color=red>${param.pferror}<br><br></font></center></td>
        </tr>
        </c:if>

        <c:if test="${!empty error}" >
        <tr>
          <td colspan=2><center><font color=red>${error}<br><br></font></center></td>
        </tr>
        </c:if>

        <form action="<c:url value='/go'/>" method="get">
            <input type="hidden" name="action" value="sso"/>
            <tr>
                <td>IdP Partner: </td>
                <td>
                    <select name="PartnerIdpId">
                        <c:forEach items="${idplist}" var="idp"><option>${idp}</option></c:forEach>
                    </select>
                </td>
            </tr>

            <c:choose>
                <c:when test="${sessionScope.showAdvanced}">
                    <tr>
                        <td>Do NOT Allow Create: </td>
                        <td>
                            <input type="checkbox" name="AllowCreate" value="false"/>
                        </td>
                    </tr>
                    <tr>
                        <td>Binding: </td>
                        <td>
                            <select name="Binding">
                                <option value="">default</option>
                                <option value="urn:oasis:names:tc:SAML:2.0:bindings:HTTP-Redirect">Redirect</option>
                                <option value="urn:oasis:names:tc:SAML:2.0:bindings:HTTP-POST">POST</option>
                                <option value="urn:oasis:names:tc:SAML:2.0:bindings:HTTP-Artifact">Artifact</option>
                            </select>
                        </td>
                    </tr>
                    <tr>
                        <td>Requested Binding: </td>
                        <td>
                            <select name="RequestedBinding">
                                <option value="">default</option>
                                <option value="urn:oasis:names:tc:SAML:2.0:bindings:HTTP-POST">POST</option>
                                <option value="urn:oasis:names:tc:SAML:2.0:bindings:HTTP-Artifact">Artifact</option>
                            </select>
                        </td>
                    </tr>
                    <tr>
                        <td>Requested ACS Index: </td>
                        <td>
                            <select name="RequestedACSIdx">
                                <option value="">default</option>
                                <option value="0">0 (POST)</option>
                                <option value="1">1 (Artifact)</option>
                                 <option value="2">2 (PAOS)</option>
                            </select>
                        </td>
                    </tr>
                    <tr>
                        <td>Requested Name ID Format: </td>
                        <td>
                            <select name="RequestedFormat">
                                <option value="">none</option>
                                <option value="urn:oasis:names:tc:SAML:2.0:nameid-format:transient">transient</option>
                                <option value="urn:oasis:names:tc:SAML:2.0:nameid-format:persistent">persistent</option>
                                <option value="urn:oasis:names:tc:SAML:2.0:nameid-format:encrypted">encrypted</option>
                            </select>
                        </td>
                    </tr>
                    <tr>
                        <td>Is Passive: </td>
                        <td>
                            <input type="checkbox" name="IsPassive" value="true"/>
                        </td>
                    </tr>
                    <tr>
                        <td>Force Authn: </td>
                        <td>
                            <input type="checkbox" name="ForceAuthn" value="true"/>
                        </td>
                    </tr>
                    <tr>
                        <td>Requested SPNameQualifier: </td>
                        <td>
                            <input type="text" name="RequestedSPNameQualifier"/>
                        </td>
                    </tr>
                </c:when>
            </c:choose>

            <tr>
                <td></td>
                <td>
                    <BR>
                    <input type="submit" value=" Single Sign-On "/>
                    <BR/><BR/><a href="go?showHideAdvanced">${sessionScope.showAdvanced ? 'Hide' : 'Show'} advanced SSO options</a>
                </td>
            </tr>
            <tr><td></td></tr>

            </form>
      </table>    

      <BR><BR><BR></DIV>
    </TD>
  </TR>
  </TBODY>
</TABLE>

<%@include file="footer.jsp"%>

</CENTER></BODY></HTML>