/*******************************************************************************
 * Copyright (C) 2006 Ping Identity Corporation All rights reserved.
 * 
 * This software is licensed under the Open Software License v2.1 (OSL v2.1).
 * 
 * A copy of this license has been provided with the distribution of this
 * software. Additionally, a copy of this license is available at:
 * http://opensource.org/licenses/osl-2.1.php
 *  
 ******************************************************************************/
using System;

namespace Com.PingIdentity.PingFederate.SampleApp.SampleAppUtility {

	/// <summary>
	/// NoSuchTagException indicates an error during reading property XML file
	/// </summary>
	public class NoSuchTagException : Exception {

		private String message;

		public NoSuchTagException() {}
		public NoSuchTagException(String message) {
			this.message = message;
		}

		public override String Message {
			get {
				String msg = base.Message;
				if(this.message != null) {
					msg += this.message;
				}
				return msg;
			}
		}
	}
}