<!--
*******************************************************************************
* Copyright (C) 2006 Ping Identity Corporation All rights reserved.
*
* This software is licensed under the Open Software License v2.1 (OSL v2.1).
*
* A copy of this license has been provided with the distribution of this
* software. Additionally, a copy of this license is available at:
* http://opensource.org/licenses/osl-2.1.php
*
******************************************************************************
-->
<%@ Page language="c#" Codebehind="login.aspx.cs" AutoEventWireup="false" Inherits="Com.PingIdentity.PingFederate.SampleApp.SpSample.web.LoginForm" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML>
	 <HEAD>
			<title>Service Provider Login</title>
			<LINK href="style.css" type="text/css" rel="stylesheet">
			<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
			<meta content="C#" name="CODE_LANGUAGE">
			<meta content="JavaScript" name="vs_defaultClientScript">
			<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
			<script type="text/javascript" src="scripts/common.js"></script>
			<script language="javascript">
				function initiateSSO() {
					if((document.all['forceAuthn'].checked) && (document.all['isPassive'].checked)) {
						alert("ForceAuthn and IsPassive cannot be checked at the same time");
					}
					else {
						url = document.all['idps'].value;
						if(document.all['forceAuthn'].checked) {
							url += "&ForceAuthn=true";
						}
						if(document.all['isPassive'].checked) {
							url += "&IsPassive=true";
						}
						window.location = url;
					}
				}
			</script>
	  
	 </HEAD>
	 <body MS_POSITIONING="FlowLayout">
		  <center>
		  
		  
	<table class="mainsp">
		<tr>
			<td>
			<img src="images/products_pf_no_version.png">
			<h1 class="sp">Service Provider Login</h1>
			</td>
		</tr>

            <td align="center" class="rightbody">
			<form id="LoginForm" method="post" runat="server">						  
				<input id="ResumePath" type="hidden" name="resumePath" runat="server">							
				<table class="login">
					<tr>
						<td>
						<div class="headersp">
						Local Login
						<a href="javascript:openHelp('help.html?#localLogin')">
							<img src="images/HelpIcon.gif" border="0">
						</a>
						</div>                        		
						</td>
					</tr>
					<tr class="error">
						<td colSpan="2"><asp:label id="ErrorLabel" runat="server"></asp:label></td>
					</tr>
					<tr>
						<td align="center">
							<table class="logininside">
							<tr>
								<td align="right">Login ID:</td>
								<td align="left">
							<asp:DropDownList ID="userName" style="WIDTH: 150px" Runat="server"></asp:DropDownList>
								</td>
							</tr>
							<tr>
								<td align="left">Password:</td>
								<td align="right"><input id="Password" type="password" name="Password" style="WIDTH: 150px" runat="server" size="36"></td>
							</tr>
							<tr>
								<td>&nbsp;</td>
								<td align="right"><input id="Submit" type="submit" value="Login" name="submit" runat="server"></td>
							</tr>
							</table>
						</td>
					</tr>
				</table>
				
				<br>
				<table class="login">
					<tr class="subheadercontent">
						<td colspan="2">
							<div class="headersp">
								Login through IdP
								<a href="javascript:openHelp('help.html?#idpLogin');">
									<img src="images/HelpIcon.gif" border="0">
								</a>
							</div>
						</td>
					</tr>
					<tr>
						<td align="center" colspan="2">
							<span class="text"><b>Select an IdP connection from the drop down and click Login.</b><span>
							<br>
							<br>
							<asp:DropDownList ID="idps" style="WIDTH: 150px" Runat=server></asp:DropDownList>
						</td>
					</tr>
					<tr>
						<td align="right">
							<input type="checkbox" id="forceAuthn" name="forceAuthn">
								<span class="text">
									ForceAuthn
									<a href="javascript:openHelp('help.html?#forceAuthn');">
										<img src="images/HelpIcon.gif" border="0">
									</a>
								</span>
						</td>
						<td align="left">
							&nbsp;&nbsp;
							<input type="checkbox" id="isPassive" name="isPassive">
								<span class="text">
									IsPassive
									<a href="javascript:openHelp('help.html?#isPassive');">
										<img src="images/HelpIcon.gif" border="0">
									</a>
								</span>
						</td>
					</tr>
					<tr>
						<td align="center" colspan="2">
							<input type="button" value="Login" OnClick="javascript:initiateSSO();"><br><br>
						</td>
					</tr>
					</table>
					
					
					
					</td>
				</tr>
			</table>
		</form>
 
		<table width="240">
			<tr>
				<td class="version" style="text-align:center;">
					<a href="mailto:support@pingidentity.com">support@pingidentity.com</a> 
				</td>           
			</tr>
			<tr>
				<td class="version" style="text-align:center;">
					<a target="_new" href="http://www.pingidentity.com"><img src="images/ping_logo.gif" border="0"></a><br/><br/>
						&copy; 2003-2006 Ping Identity Corporation<br/>
						All Rights Reserved
				</td>
			</tr>
		</table>
		  </center>
	 </body>
</HTML>
